// TestCCNSAPI.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "CNS.h"
#include "SmartCardManager.h"

using namespace USCAPI;

int _tmain(int argc, _TCHAR* argv[])
{
	CSmartCardManager scman;
	CSmartCardConnection* pConn = scman.connect();

	if(!pConn)
	{
		printf("Connection error: %X", GetLastError());
		return 1;
	}

	printf("Connected Reader: %s", pConn->getReaderName());

	CCNS::SetLicense("licensee", "productkey");

	CCNS cns(pConn);

	string cert;
	int nRet = cns.ReadCertificato(cert);
	if(nRet)
		return nRet;

	

	vector<string> datiPersonali;

	nRet = cns.ReadDatiPersonali(datiPersonali);
	if(nRet)
		return nRet;

	nRet = cns.VerifyPIN(0x01, string("12345"));
	if(nRet)
		return nRet;

	return 0;
}

