#pragma once

#include "CCNSAPI.h"
#include "SmartCardConnection.h"
#include <string>
#include <vector>
using namespace USCAPI;
using namespace std;

/// <summary>
/// PIN Utente
/// </summary>
#define PIN_USER 0x10;

/// <summary>
/// PUK
/// </summary>
#define PUK_USR 0x11;

/// <summary>
 /// Issuer
 /// </summary>
#define  Issuer 0;
/// <summary>
 /// Data Emissione
 /// </summary>
#define  DataEmissione 1;
/// <summary>
 /// Data Scadenza
 /// </summary>
#define  DataScadenza 2;
/// <summary>
 /// Cognome
 /// </summary>
#define  Cognome 3;
/// <summary>
 /// Nome
 /// </summary>
#define  Nome 4;
/// <summary>
 /// Data di Nascita
 /// </summary>
#define  DataNascita 5;
/// <summary>
 /// Sesso
 /// </summary>
#define  Sesso 6;
/// <summary>
 /// Statura
 /// </summary>
#define  Statura 7;
/// <summary>
 /// Codice Fiscale
 /// </summary>
#define  CodiceFiscale 8;
/// <summary>
 /// Cittadinanza
 /// </summary>
#define  Cittadinanza 9;
/// <summary>
 /// Comune di nascita
 /// </summary>
#define  ComuneNascita 10;
/// <summary>
 /// Stato estero
 /// </summary>
#define  StatoEstero 11;
/// <summary>
 /// Estremi di nascita
 /// </summary>
#define  EstremiNascita 12;
/// <summary>
 /// Comune di residenza
 /// </summary>
#define  ComuneResidenza 13;
/// <summary>
 /// Indirizzo
 /// </summary>
#define  Indirizzo 14;
/// <summary>
 /// Valida per l'espatrio
 /// </summary>
#define  ValidaEspatri 15;



class CCNSAPI_API CCNS
{
public:
	CCNS(CSmartCardConnection* pConnection);
	virtual ~CCNS(void);

    long ReadDatiPersonaliRaw(string& data);
	long ReadCertificato(string& certificate);
	long ReadBinary(int nRead, string& data);
	long ReadDatiPersonali(vector<string>& datiPersonali);
	long VerifyPIN(BYTE id, string& pin);

	static void SetLicense(char* szLicensee, char* szProductKey);
private: 
	CSmartCardConnection* m_pConnection;


};
