#pragma once

#include "stdafx.h"
#include "uscapi.h"
#include "UUCVector.hpp"
#include "SmartCardConnection.h"

namespace USCAPI
{

typedef struct
{
	char	szReaderName[256];
	DWORD	dwState;
	ATR		atr;
} SMARTCARDREADER_INFO;

/// Implements a Smart Card Reader vector
class USCAPI_API CSmartCardReaderVector :
	public UUCVector<SMARTCARDREADER_INFO*> 
{
public:
	/// Constructor
	CSmartCardReaderVector(void);
	virtual ~CSmartCardReaderVector(void);
	/// Removes an alement from the vector at the given index
	void removeElementAt(unsigned int index);
	/// Inserts an alement into the vector at the given index
	void insertElementAt(SMARTCARDREADER_INFO* pInf, unsigned int index);
	// Sets an element at the given index
	void setElementAt(SMARTCARDREADER_INFO* pInf, unsigned int index); 
};
}