using System;
using System.Collections.Generic;
using System.Text;
using Cryptware.NSCAPI;
using Cryptware.NCNSAPI;
using System.Security.Cryptography.X509Certificates;

namespace TestNCNSAPI
{
    class Program
    {
        static void Main(string[] args)
        {
            SmartCardManager scman = new SmartCardManager();

            Readers readerList = scman.PluggedReaders;

            Reader reader = readerList[0];

            Console.WriteLine(reader.Name);
            Console.WriteLine(reader.State);
            Console.WriteLine(reader.IsSmartCardPresent);

            int nRes = reader.WaitForSmartCardInserted(Reader.INFINITE);

            SmartCard card = reader.Connect();

            CNS cns = new CNS(card);

            string[] datiPersonali = cns.ReadDatiPersonali();
            Console.WriteLine("Nome: " + datiPersonali[CNS.Nome]);
            Console.WriteLine("Cognnome: " + datiPersonali[CNS.Cognome]);

            X509Certificate2 cert = cns.ReadCertificatoX509();
            Console.WriteLine("Scadenza certificato: " + cert.GetExpirationDateString());
        }
    }
}
